<?php
declare(strict_types=1);

namespace app\common\model;

use think\Model;
use app\admin\service\FengsuService;

//风速-发货记录
class FengsuSku Extends Model
{
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = true;
    protected $createTime = 'createtime';
    protected $updateTime = 'updatetime';

    protected $type = [
        'createtime'     =>  'timestamp:Y-m-d H:i',
        'updatetime'     =>  'timestamp:Y-m-d H:i',
    ];


    public function stockconfig()
    {
        return $this->hasOne(StockConfig::class,'id','variety_id')->field('id,title');
    }
    
    //获取店铺下规格
    public static function getSpecsIdByShopId(string $shop_id,  string $spec_id): object
    {
        // return self::where('shop_id', $shop_id)->where('sku_id', $spec_id)->findOrEmpty();
        $result = self::alias('f')
                ->where(['f.shop_id'=>$shop_id,'f.sku_id'=>$spec_id])
                ->join('yun_product_config p', 'f.variety_id = p.type_id AND f.spec_id = p.id', 'INNER')
                ->field([
                    'f.*',
                    'p.type_id',
                    'p.title as spec_name',
                    'p.weight',
                    'p.box_id'
                ])
                ->findOrEmpty();
        return $result;
    }

    //批量插入规格
    public static function insertSpecs(string $shop_id, string $sku_id, int $variety_id, int $spec_id)
    {       
        return self::create(['shop_id'=> $shop_id, 'variety_id'=>$variety_id, 'spec_id'=>$spec_id, 'sku_id'=>$sku_id]);
    }
}
